#!/bin/sh
#post-install script.
#Puppy Linux
#assume current directory is rootfs-complete, which has the final filesystem.
WKGDIR="`pwd`"

####CHANGE THESE LINES FOR ANOTHER W.M.#####
CONFIGFILE="root0/.jwmrc"
CONFIGBASE="DOTjwmrc"
echo "Configuring menu for JWM window manager..."
####ALSO CHANGE CODE BELOW THAT UNCOMMENTS LINE####

#...JWM config file is in xml format, all menu items commented out:
#   <!--   <Program label="Gcombust" icon="gcombust.xpm">gcombust</Program> -->

#/tmp/keywords.txt has all the keywords read from file "keyword" in each package.
KEYWORDS="`cat /tmp/keywords.txt`"
NUMKEYS="`wc -w /tmp/keywords.txt | tr -s " " | cut -f 2 -d " "`"


REBUILDMENU="yes"
if [ -f /tmp/bypassmenurebuild ];then
 #bypassmenurebuild will only exist if previous execution of createpuppy had the
 #identical chosen packages.
 if [ -f ../$CONFIGBASE.bak ];then
  cp -f ../$CONFIGBASE.bak $CONFIGFILE
  REBUILDMENU="no"
 fi
fi

if [ "$REBUILDMENU" = "yes" ];then
 echo "The number of keywords to process is $NUMKEYS."
 echo "Processing keywords..."
 for ONEKEY in $KEYWORDS
 do

  echo -n " $ONEKEY"
  sync
  #remove the <!-- and --> markers if the line contains the keyword
  EDITTEXT="s/^<!-- \+\(<Program label=\"$ONEKEY.\+\)-->/\1/"
  sed -e "$EDITTEXT" $CONFIGFILE > /tmp/jwm.pinstall.temp
  sync
  mv -f /tmp/jwm.pinstall.temp $CONFIGFILE
  sync
 done
 cp -f $CONFIGFILE ../$CONFIGBASE.bak
fi
  rm -f /tmp/jwm.pinstall.temp
echo
echo "...rootfs-complete/$CONFIGFILE file has been processed."

#v1.0.3
#case of fvwm95 not there...
if [ ! -f /usr/X11R6/bin/fvwm95 ];then
 echo -n "jwm" > ./etc/windowmanager
fi
sync

#end#
